Run of lintian-fixes for libscram-java

Try this locally (using the lintian-brush package):

debcheckout libscram-java
cd libscram-java
lintian-brush --exclude=upstream-metadata-file

Merge these changes:

git pull https://janitor.debian.net/git/libscram-java lintian-fixes/main

Summary

Diff

=== modified file 'debian/changelog'
--- a/debian/changelog	2019-02-18 13:07:32 +0000
+++ b/debian/changelog	2020-06-05 16:46:46 +0000
@@ -1,3 +1,11 @@
+libscram-java (1.0.0~beta.2-4) UNRELEASED; urgency=low
+
+  * Bump debhelper from old 10 to 12.
+  * Set debhelper-compat version in Build-Depends.
+  * Remove unnecessary get-orig-source-target.
+
+ -- Debian Janitor <janitor@jelmer.uk>  Fri, 05 Jun 2020 16:45:15 -0000
+
 libscram-java (1.0.0~beta.2-3) unstable; urgency=medium
 
   * Drop libscram-java-doc package, it FTBFSes with Java 11 and I think no one

=== removed file 'debian/compat'
--- a/debian/compat	2018-05-29 18:04:59 +0000
+++ b/debian/compat	1970-01-01 00:00:00 +0000
@@ -1,1 +0,0 @@
-10

=== modified file 'debian/control'
--- a/debian/control	2019-02-18 13:07:32 +0000
+++ b/debian/control	2020-06-05 16:46:08 +0000
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
-Build-Depends: debhelper (>= 10), default-jdk, maven-debian-helper (>= 2.1)
+Build-Depends: debhelper-compat (= 12), default-jdk, maven-debian-helper (>= 2.1)
 Build-Depends-Indep:
  default-jdk-doc,
  junit4 (>= 4.12),

=== modified file 'debian/rules'
--- a/debian/rules	2018-05-01 13:36:34 +0000
+++ b/debian/rules	2020-06-05 16:46:46 +0000
@@ -2,6 +2,3 @@
 
 %:
 	dh $@
-
-get-orig-source:
-	uscan --download-current-version --force-download --no-symlink

Full build log Full worker log